package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author lily
 * @date 2018/10/31 15:31
 */
@ApiModel
public class BookTempletFeedback extends BaseEntity {

    @ApiModelProperty("反馈标识")
    private  Long id;

    @ApiModelProperty("编辑标识")
    private  Long adviserId;

    @ApiModelProperty("反馈内容")
    private  String content;

    @ApiModelProperty("创建人")
    private Long createdUser;

    @ApiModelProperty("创建时间")
    private Date createdDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(Long createdUser) {
        this.createdUser = createdUser;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    @Override
    public String toString() {
        return "BookTempletFeedback{" +
                "id=" + id +
                ", adviserId=" + adviserId +
                ", content='" + content + '\'' +
                ", createdUser=" + createdUser +
                ", createdDate=" + createdDate +
                '}';
    }
}
